[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#625521: causes segfault in Xorg

Package: libc6
Version: 2.13-2
Severity: critical

Xorg now segfaults, with the following in the Xorg.0.log:

Program received signal SIGSEGV, Segmentation fault.
__memcpy_ssse3 () at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:153
153     ../sysdeps/x86_64/multiarch/memcpy-ssse3.S: No such file or directory.
        in ../sysdeps/x86_64/multiarch/memcpy-ssse3.S
(gdb) bt
#0  __memcpy_ssse3 () at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:153
#1  0x00007ffff3858db1 in shadowUpdatePacked () from /usr/lib/xorg/modules/libshadow.so
#2  0x00007ffff385843f in ?? () from /usr/lib/xorg/modules/libshadow.so
#3  0x000000000043571d in BlockHandler ()
#4  0x000000000045dcda in WaitForSomething ()
#5  0x00000000004314b2 in ?? ()
#6  0x00000000004257de in _start ()

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libc6 depends on:
ii  libc-bin                      2.13-2     Embedded GNU C Library: Binaries
ii  libgcc1                       1:4.6.0-6  GCC support library

libc6 recommends no packages.

Versions of packages libc6 suggests:
ii  cdebconf [debconf-2.0]        0.155      Debian Configuration Management Sy
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  glibc-doc                     2.13-2     Embedded GNU C Library: Documentat
ii  locales                       2.13-2     Embedded GNU C Library: National L
ii  locales-all [locales]         2.13-2     Embedded GNU C Library: Precompile

-- debconf information:
* glibc/upgrade: true
* glibc/restart-services: spamassassin samba openbsd-inetd exim4 cron atd apache2

Reply to: